- job:
    name: 'erp-test-automation-matrix'
    display-name: 'ERP test automation matrix'
    project-type: matrix
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: false
    node: master
    child-workspace: $HOST
    axes:
        - axis:
            type: user-defined
            name: HOST
            values:
                - j12-d03-04
                - j12-d05-01
                - j12-m1-c33n1
                - j13-r120-t32-19
                - j13-qrep-03
                - j12-d06-01
    parameters:
        - string:
            name: BUILD_ENV
            default: 'staging'
        - string:
            name: BUILD_NUM
            default: 'latest'
        - string:
            name: BUILD_DISTRO
            default: 'debian'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: ANSIBLE_VAULT
                variable: ANSIBLE_VAULT
    builders:
        - shell:
            !include-raw: erp-test-automation/builders-matrix.sh
    publishers:
        - email:
            recipients: 'baptiste.gerondeau@linaro.org'
